Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.mycarenet._1_0.carenet.types
Class NurseContractualCareUpdateDetail

    java.lang.Object
      be.cin.mycarenet._1_0.carenet.types.NurseContractualCareUpdateDetail

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:02:09+01:00",
               comments="JAXB RI v2.2.11")
    public class NurseContractualCareUpdateDetail

extends Object
implements Serializable

Java class for NurseContractualCareUpdateDetailType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NurseContractualCareUpdateDetailType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ConsultantDoctor" type="{urn:be:cin:mycarenet:1.0:carenet:types}NihiiType"/>
             <element name="Provider" type="{urn:be:cin:mycarenet:1.0:carenet:types}NihiiType"/>
             <element name="VisitDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="newValue" type="{urn:be:cin:mycarenet:1.0:carenet:types}NurseContractualCareDetailType"/>
             <element name="PaliatifPatient" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
           </sequence>
           <attribute name="type" use="required" type="{urn:be:cin:mycarenet:1.0:carenet:types}MessageNatureType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`NurseContractualCareUpdateDetail()`

Method Summary
`String` | `getConsultantDoctor()` Gets the value of the consultantDoctor property.
`NurseContractualCareDetailType` | `getNewValue()` Gets the value of the newValue property.
`String` | `getProvider()` Gets the value of the provider property.
`MessageNatureType` | `getType()` Gets the value of the type property.
`org.joda.time.DateTime` | `getVisitDate()` Gets the value of the visitDate property.
`Boolean` | `isPaliatifPatient()` Gets the value of the paliatifPatient property.
`void` | `setConsultantDoctor(String value)` Sets the value of the consultantDoctor property.
`void` | `setNewValue(NurseContractualCareDetailType value)` Sets the value of the newValue property.
`void` | `setPaliatifPatient(Boolean value)` Sets the value of the paliatifPatient property.
`void` | `setProvider(String value)` Sets the value of the provider property.
`void` | `setType(MessageNatureType value)` Sets the value of the type property.
`void` | `setVisitDate(org.joda.time.DateTime value)` Sets the value of the visitDate property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NurseContractualCareUpdateDetail

    public NurseContractualCareUpdateDetail()

Method Detail

### getConsultantDoctor

    public String getConsultantDoctor()

  Gets the value of the consultantDoctor property.

  Returns:
    possible object is `String`

### setConsultantDoctor

    public void setConsultantDoctor(String value)

  Sets the value of the consultantDoctor property.

  Parameters:
    `value` - allowed object is `String`

### getProvider

    public String getProvider()

  Gets the value of the provider property.

  Returns:
    possible object is `String`

### setProvider

    public void setProvider(String value)

  Sets the value of the provider property.

  Parameters:
    `value` - allowed object is `String`

### getVisitDate

    public org.joda.time.DateTime getVisitDate()

  Gets the value of the visitDate property.

  Returns:
    possible object is `String`

### setVisitDate

    public void setVisitDate(org.joda.time.DateTime value)

  Sets the value of the visitDate property.

  Parameters:
    `value` - allowed object is `String`

### getNewValue

    public NurseContractualCareDetailType getNewValue()

  Gets the value of the newValue property.

  Returns:
    possible object is `NurseContractualCareDetailType`

### setNewValue

    public void setNewValue(NurseContractualCareDetailType value)

  Sets the value of the newValue property.

  Parameters:
    `value` - allowed object is `NurseContractualCareDetailType`

### isPaliatifPatient

    public Boolean isPaliatifPatient()

  Gets the value of the paliatifPatient property.

  Returns:
    possible object is `Boolean`

### setPaliatifPatient

    public void setPaliatifPatient(Boolean value)

  Sets the value of the paliatifPatient property.

  Parameters:
    `value` - allowed object is `Boolean`

### getType

    public MessageNatureType getType()

  Gets the value of the type property.

  Returns:
    possible object is `MessageNatureType`

### setType

    public void setType(MessageNatureType value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `MessageNatureType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.